## Configuration file for Zypper.
##
## location: /etc/zypp/zypper.conf (system-wide)
##       or: $HOME/.zypper.conf    (user-specific)
##
## You can edit this file by hand (try to keep the structure) or by using
## 'zypper conf' command (TODO). If you need user-specific configuration
## and you do not have ~/.zypper.conf yet, use /etc/zypp/zypper.conf
## as template (copy it to ~/.zypper.conf) and adjust to your liking.
##
## The options known also to libzypp will be overriden by zypper.conf, if set.
##
## Boolean values are:
##   0 1 yes no on off true false

## Color values:
## Color values are case insensitive and may be prefixed with
## either Bold, Light or Bright to turn on the terminals
## bold/increased intensity attribute:
##   Grey Red Green Blue Brown Cyan Purple/Magenta Black
##   White	(== LightGrey)
##   Yellow	(== LightBrown)
##   Default	(== terminals default color)
##   Bold, Light, Bright (== LightDefault, terminals default bold color)

[main]

## Show repository alias instead of name.
##
## Alias is an alternative unique name of repository. Some users prefer
## to define short, handy aliases for their repositories and use them
## when specifying repositories instead of number, name, or URI.
## These users might want to set this option to 'true'.
##
## Other users prefer to keep the aliases and names set by installation,
## registration, YaST, or other software managers, or .repo files (most
## software managers even hide the alias from user's view).
## These users might want to see the descriptive names, thus leave this
## option set to 'false'.
##
## Setting this option to 'true' will tell zypper to show repository
## alias instead of the long name wherever it needs to tell the name of
## the repository.
##
## Valid values: true, false
## Default value: false
##
# showAlias = false

## Columns to show in repository list printed by repos (lr) command by default.
##
## The # (number) and Enabled column is shown always. The following columns
## can be configured:
##
## a - alias - the shorthand for name and unique identifier
## n - name - full name of the repository
## r - autorefresh?
## u - URL
## p - priority
##
## Valid values: any combination of the above letters; capital letter marks
##               column by which the table will be sorted (if multiple
##               are used the sorting is undefined).
## Default value: Anr
##
# repoListColumns = Anr

[solver]

## Install soft dependencies (recommended packages)
##
## CAUTION: The system wide default for all libzypp based applications (zypper,
## yast, pk,..) is defined in  /etc/zypp/zypp.conf(solver.onlyRequires)  and it
## will per default install recommended packages. It is NOT RECOMMENDED to define
## this value here for zypper exclusively, unless you are very certain that you
## want zypper to behave different than other libzypp based packagemanagement software
## on your system.
##
## Valid values: boolean
## Default value: follow zypp.conf(solver.onlyRequires)
##
# installRecommends = yes

## Commands in which to force resolution.
##
## Comma-separated list of commands in which the resolution should be forced
## when solving package dependencies. This means the solver
## will automatically opt to remove problematic packages instead
## of asking the user how to resolve the dependency problem.
##
## This is particularly useful in the 'remove' command, since one
## typically wants to remove the requested package and all the packages
## which depend on it, without being asked. But one may find it convenient
## to force the resolution also in the 'install' command, or perhaps even
## others.
##
## This setting can be overridden ad-hoc by the --force-resolution and
## --no-force-resolution command line options.
##
## Valid values: remove, install, update, patch, verify
## Default value: remove
# forceResolutionCommands = remove

[commit]

## Automatically say 'yes' at third party license confirmation prompts.
##
## Happy-go-lucky automated deployments.
##
## Valid values: boolean
## Default value: no
##
# autoAgreeWithLicenses = no

## Post commit check for processes/services using old/deleted files
##
## Like 'zypper ps', the post commit check for processes/services using
## old/deleted files calls 'lsof'. On some systems 'lsof' seems to perform
## very slow, and the check takes up to several minutes. Due to this it's
## possible to disable the automatic check after each commit. Explicit calls
## to 'zypper ps' are not affected by this option.
##
## Valid values: boolean
## Default value: yes
##
#  psCheckAccessDeleted = yes

[search]

## Whether an available zypper-search-packages-plugin should be called at the
## end of each search command.
##
## Valid values: boolean values incl. 'always' or 'never', everything else is
##               mapped to 'ask' (the default).
## Default value: ask
##
# runSearchPackages = ask

[color]

## Whether to use colors
##
## `autodetect` checks whether the terminal can handle colors
## and whether the NO_COLOR environment variable is not set.
## (For details about NO_COLOR, see https://no-color.org/)
##
## Valid values: always, never, or autodetect
## Default value: autodetect
##
# useColors = autodetect

## Color for displaying results of operations.
## This includes installation summary, tables, and result messages.
##
## Valid values: color
## Default value: default
##
# result = default

## Color for displaying status and progress messages.
##
## Valid values: color
## Default value: default
##
# msgStatus = default

## Color for displaying error messages.
##
## Valid values: color
## Default value: red
##
# msgError = red

## Color for displaying warnings.
##
## Valid values: color
## Default value: purple
##
# msgWarning = purple

## Color for highlighting additions or positive actions.
##
## Valid values: color
## Default value: green
##
# positive = green

## Color for highlighting modifications or changes.
##
## Valid values: color
## Default value: brown
##
# change = brown

## Color for highlighting removals or negative information.
##
## Valid values: color
## Default value: red
##
# negative = red

## Color for highlighting information.
##
## Valid values: color
## Default value: cyan
##
# highlight = cyan

## Color for dimming less relevant information.
##
## Valid values: color
## Default value: brown
##
# lowlight = brown

## Color for prompts.
##
## Valid values: color
## Default value: bold
##
# prompt = bold

## Color for prompt options.
##
## Valid values: color
## Default value: undefined, follows prompt
##
# promptOption =

## Do highlighting of package lists for easier reading?
##
## Within the packagelists displayed as transactions summary
## hightlight the first letter of every package name (all),
## or only of the first package in each letter group (first).
##
## Valid values: all/first/no
## Default value: all
##
# pkglistHighlight = all

## Color to use for package list highlighting (see pkglistHighlight)
##
## 'default' or 'bold' will use the current lists headline color. Any
## other value will set a fix color used for all package lists.
##
## Valid values: color
## Default value: undefined, follows lists headline
##
# pkglistHighlightAttribute =

[obs]

## openSUSE Build Service repository base URL.
## This is used to construct real URL from obs://project/platform URI
##
# baseUrl = https://download.opensuse.org/repositories/

## openSUSE Build Service repository target platform.
## This will be used if none is given in the obs://obsrepo/platform URI
## when adding new repository with 'addrepo' command.
##
## NOTE: The 'platform' is actually a directory on the OBS server.
## We can only guess, how the directory containing the repository that fits
## your distribution is named. If you are following 'openSUSE_Factory' or
## 'openSUSE_Tumbleweed' you may need to set this as your platform.
## In case of doubt you need to look up the right URL in a browser.
##
# platform = openSUSE_$releasever

[subcommand]

##  Whether to look for subcommands in $PATH
##
## If a subcommand is not found in the zypper_execdir, the wrapper
## will look in the rest of your $PATH for it. Thus, it's possible
## to write local zypper extensions that don't live in system space.
## See section SUBCOMMANDS in the zypper manpage.
##
## Valid values: boolean
## Default value: yes
##
# seachSubcommandInPath = yes
